> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate credentials for OTel ingestion

> Validates the customer's API key and returns the user ID via x-customer-id header.
Used by the Istio gateway ext-authz filter to authenticate OTel data ingestion requests.




## OpenAPI

````yaml https://api.galtea.ai/openapi.json post /otel/auth
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /otel/auth:
    post:
      tags:
        - traces
      summary: Validate credentials for OTel ingestion
      description: >
        Validates the customer's API key and returns the user ID via
        x-customer-id header.

        Used by the Istio gateway ext-authz filter to authenticate OTel data
        ingestion requests.
      operationId: otelAuth
      responses:
        '200':
          description: Credentials are valid
          headers:
            x-customer-id:
              description: The authenticated user's ID
              schema:
                type: string
        '401':
          description: Missing or invalid credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````